#include<bits/stdc++.h>
using namespace std;

int main()
{
	long double L,R;
	float p,q,r,d;
	long long s=0;
	cin>>p>>q>>r>>L>>R;
	for(long long i=L;i<=R;i++)
	{
		if(i>=ceil(i/r)+ceil(i/q)+ceil(i/p))
			s++;
	
	}
	cout<<s;
}